View Issue Details

IDProjectCategoryView StatusLast Update
0024557LazarusIDEpublic2014-01-26 18:24
ReportersdrsdrAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version1.0.8Product Build 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0024557: Indentation not working well for tab's only style
DescriptionI'm having problems setting up the indentations the way I'm used to that is - tabs only 4 spaces per tab, follow previous line style. I'm struggling with this every time I try to use Lazarus from ear to year. The IDE keeps inserting spaces and this keeps breaking my indent. Can we have more clearness in the settings and more consistency following this settings?
TagsNo tags attached.
Fixed in Revision43816
LazTarget1.4
Widgetset
Attached Files

Activities

Mattias Gaertner

2013-06-05 20:29

manager   ~0068079

Several tabs issues were implemented in 1.1. The changes are too big to backport them to the 1.0 branch.
Please test with 1.1.

Martin Friebe

2014-01-25 20:44

manager   ~0072680

Please test with RC2 , This issue is most likely fixed, and will be closed, if no further details emerge.

For question about how to configure, use the mail list or forum.

----
Mae sure:
- to switch off the indent options in the codetool section (smart indent)
- switch off smart tabs
- switch off tabs to spaces
- on the indent page specify for "auto indent" (dropdown) "space/tab as prev line"

This will not fix broken indent (if you already have spaces in there. And it will keep those spaces. But if you press enter in a line that is indent with tabs, then the newly inserted line will have that too.

For block indent (ctrl-i/u or tab while selection), you can specify to always only use tabs.
This can be used to "fix" lines with the same indent, by un-indenting and re- indenting.


A feature to force tabs, even after a line indented with spaces is currently not planed. Tabs would not be able to match the indent in all cases, and that would mean, either indent needs to be changed, or spaces kept.
But feel free to add ideas, if that is what the report is about.

Martin Friebe

2014-01-26 18:18

manager   ~0072707

In 1.4 there will be 2 new indent modes:
- Fill indent with tabs, and use spaces if no exact match is possible
- Fill indent with tabs, and reduce indent if no exact match is possible

Issue History

Date Modified Username Field Change
2013-06-05 09:49 sdrsdr New Issue
2013-06-05 20:29 Mattias Gaertner Note Added: 0068079
2014-01-25 20:44 Martin Friebe LazTarget => -
2014-01-25 20:44 Martin Friebe Note Added: 0072680
2014-01-25 20:44 Martin Friebe Assigned To => Martin Friebe
2014-01-25 20:44 Martin Friebe Status new => feedback
2014-01-26 18:18 Martin Friebe Fixed in Revision => 43816
2014-01-26 18:18 Martin Friebe LazTarget - => 1.4
2014-01-26 18:18 Martin Friebe Note Added: 0072707
2014-01-26 18:18 Martin Friebe Status feedback => resolved
2014-01-26 18:18 Martin Friebe Fixed in Version => 1.3 (SVN)
2014-01-26 18:18 Martin Friebe Resolution open => fixed
2014-01-26 18:18 Martin Friebe Target Version => 1.4